%define pkgname   dirsrv

Summary:          389 Directory Server Gateway (dsgw)
Name:             389-dsgw
Version:          1.1.11
Release:          15%{?dist}
License:          GPLv2
URL:              http://port389.org/
Group:            System Environment/Daemons
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    nspr-devel
BuildRequires:    nss-devel
BuildRequires:    perl-generators
BuildRequires:    svrcore-devel
BuildRequires:    openldap-devel
BuildRequires:    cyrus-sasl-devel
BuildRequires:    icu
BuildRequires:    libicu-devel
BuildRequires:    389-adminutil-devel

Requires:         /etc/dirsrv/admin-serv/httpd.conf
# orgchart uses perldap
Requires:         perl-Mozilla-LDAP

Source0:          http://port389.org/sources/%{name}-%{version}.tar.bz2

%description
389 Directory Server Gateway is a collection of 3 web applications
that run on top of the Administration Server used by the Directory
Server.  These 3 applications are:
* phonebook - a simple phonebook application geared towards end users,
with simple search screens and simple self-service management
* orgchart - an organization chart viewer
* gateway - a more advanced search interface that allows admins to
create and edit user entries, and allows creation of templates for
different types of user and group entries

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-rpath --with-openldap

# Generate symbolic info for debuggers
export XCFLAGS=$RPM_OPT_FLAGS

%ifarch x86_64 ppc64 ia64 s390x sparc64
export USE_64=1
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT 

make DESTDIR="$RPM_BUILD_ROOT" install

# make cookie db directory
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/%{pkgname}/dsgw/cookies
# touch the tmpfiles.d conf file - but will not be included in the package
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d
touch $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d/%{pkgname}-dsgw.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
# this has been problematic - if this directory
# does not exist, the server will silently fail to
# start - however, if the user has already created
# it, we don't want to overwrite the permissions
# on it - so we can't list it explicitly in the
# files section
if [ ! -d %{_localstatedir}/run/%{pkgname}/dsgw/cookies ] ; then
    mkdir -p %{_localstatedir}/run/%{pkgname}/dsgw/cookies
fi

%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_sysconfdir}/%{pkgname}/dsgw
%config(noreplace)%{_sysconfdir}/%{pkgname}/dsgw/*.conf
%{_datadir}/%{pkgname}/dsgw
%{_datadir}/%{pkgname}/manual/*/dsgw
%{_datadir}/%{pkgname}/properties/dsgw
%{_sbindir}/*
%{_libdir}/%{pkgname}/dsgw-cgi-bin
%ghost %{_sysconfdir}/tmpfiles.d/%{pkgname}-dsgw.conf

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 30 2017 Pete Walter <pwalter@fedoraproject.org> - 1.1.11-14
- Rebuild for ICU 60.1

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Apr 15 2016 David Tardon <dtardon@redhat.com> - 1.1.11-10
- rebuild for ICU 57.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 28 2015 David Tardon <dtardon@redhat.com> - 1.1.11-8
- rebuild for ICU 56.1

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 26 2015 David Tardon <dtardon@redhat.com> - 1.1.11-6
- rebuild for ICU 54.1

* Tue Aug 26 2014 David Tardon <dtardon@redhat.com> - 1.1.11-5
- rebuild for ICU 53.1

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 14 2014 Parag Nemade <paragn AT fedoraproject DOT org> - 1.1.11-2
- Rebuild for icu 52

* Tue Aug 20 2013 Rich Megginson <rmeggins@redhat.com> - 1.1.11-1
- 9bebf4c added charset tests - modularized test script - improved valgrind checking
- Ticket #47403 DSGW authentication issue
- Ticket #47328 389-dsgw: entrydisplay.c:2523: bad switch statement
- Ticket #47486 compiler warnings in adminutil, admin, dsgw
- Ticket #47465 problem with 389-adminutil detection in m4/adminutil.m4 in 389-admin and 389-dsgw
- Ticket #47344 - 389-dsgw: Does not support aarch64 in f19 and rawhide

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.1.10-2
- Perl 5.18 rebuild

* Wed Mar 13 2013 Mark Reynolds <mreynolds@redhat.com> - 1.1.10-1
- Bump version to 1.1.10
- Ticket 606 - DSGW format string errors

* Fri Feb 01 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 1.1.9-4
- Rebuild for icu 50

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 05 2012 Caolán McNamara <caolanm@redhat.com> - 1.1.9-2
- rebuild for icu 49

* Fri Feb  3 2012 Rich Megginson <rmeggins@redhat.com> - 1.1.9-1
- Ticket #281 - TLS not working with latest openldap

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 14 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.8-1
- add support for tmpfiles.d

* Wed Nov  2 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.7-3
- rebuild with new 389-adminutil and ICU

* Wed Sep 14 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.7-2
- rebuild with new 389-adminutil in stable

* Tue Jun 28 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.7-1
- look for separate openldap ldif library
- remove old fedora-ds cruft

* Mon Mar 07 2011 Caolán McNamara <caolanm@redhat.com> - 1.1.6-3
- rebuild for icu 4.6

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct  8 2010 Rich Megginson <rmeggins@redhat.com> - 1.1.6-1
- bump version to 1.1.6
- support for openldap

* Fri Apr 02 2010 Caolán McNamara <caolanm@redhat.com> - 1.1.5-2
- rebuild for icu 4.4

* Thu Jan 14 2010 Rich Megginson <rmeggins@redhat.com> - 1.1.5-1
- bump version to 1.1.5
- make sure we can find ICU genrb correctly on all platforms

* Wed Aug 12 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.4-1
- bump version to 1.1.4
- fix remaining licensing problems
- fix adminutil.m4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.3-2
- use 389-adminutil instead of adminutil

* Wed Jun  3 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.3-1
- bump version to 1.1.3 for fedora package review

* Fri May 15 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.2-3
- rename to 389

* Tue Apr 21 2009 Orion Poplawski <orion@cora.nwra.com> - 1.1.2-2
- Make adminutil-devel BR >= 1.1.8

* Tue Mar 31 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.2-1
- this is the 1.1.2 release

* Thu Sep  4 2008 Rich Megginson <rmeggins@redhat.com> - 1.1.1-1
- this is the 1.1.1 release

* Mon Mar  3 2008 Rich Megginson <rmeggins@redhat.com> - 1.1.0-1
- Initial version based on fedora-ds-admin.spec
